

cleans up audit stragglers from the physid_mask_t changes

(It might look like voyager needs touchups here; not so...  touching voyager
more than absolutely necessary is a bad idea; I'm letting jejb pick up the
physid_mask_t trick if he wants and otherwise doing nothing beyond getting it
to typecheck.)


 arch/i386/kernel/reboot.c      |    2 +-
 arch/i386/kernel/smpboot.c     |    4 ++--
 arch/i386/mach-visws/mpparse.c |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/i386/kernel/reboot.c~cpumask-physid-fix arch/i386/kernel/reboot.c
--- 25/arch/i386/kernel/reboot.c~cpumask-physid-fix	2003-08-02 19:30:18.000000000 -0700
+++ 25-akpm/arch/i386/kernel/reboot.c	2003-08-02 19:30:18.000000000 -0700
@@ -226,7 +226,7 @@ void machine_restart(char * __unused)
 		   if its not, default to the BSP */
 		if ((reboot_cpu == -1) ||  
 		      (reboot_cpu > (NR_CPUS -1))  || 
-		      !cpu_isset(cpuid, phys_cpu_present_map))
+		      !physid_isset(cpuid, phys_cpu_present_map))
 			reboot_cpu = boot_cpu_physical_apicid;
 
 		reboot_smp = 0;  /* use this as a flag to only go through this once*/
diff -puN arch/i386/kernel/smpboot.c~cpumask-physid-fix arch/i386/kernel/smpboot.c
--- 25/arch/i386/kernel/smpboot.c~cpumask-physid-fix	2003-08-02 19:30:18.000000000 -0700
+++ 25-akpm/arch/i386/kernel/smpboot.c	2003-08-02 19:30:18.000000000 -0700
@@ -973,7 +973,7 @@ static void __init smp_boot_cpus(unsigne
 	if (!check_phys_apicid_present(boot_cpu_physical_apicid)) {
 		printk("weird, boot CPU (#%d) not listed by the BIOS.\n",
 				boot_cpu_physical_apicid);
-		cpu_set(hard_smp_processor_id(), phys_cpu_present_map);
+		physid_set(hard_smp_processor_id(), phys_cpu_present_map);
 	}
 
 	/*
@@ -1017,7 +1017,7 @@ static void __init smp_boot_cpus(unsigne
 	 * bits 0-3 are quad0, 4-7 are quad1, etc. A perverse twist on the 
 	 * clustered apic ID.
 	 */
-	Dprintk("CPU present map: %lx\n", cpus_coerce(phys_cpu_present_map));
+	Dprintk("CPU present map: %lx\n", physids_coerce(phys_cpu_present_map));
 
 	kicked = 1;
 	for (bit = 0; kicked < NR_CPUS && bit < MAX_APICS; bit++) {
diff -puN arch/i386/mach-visws/mpparse.c~cpumask-physid-fix arch/i386/mach-visws/mpparse.c
--- 25/arch/i386/mach-visws/mpparse.c~cpumask-physid-fix	2003-08-02 19:30:18.000000000 -0700
+++ 25-akpm/arch/i386/mach-visws/mpparse.c	2003-08-02 19:30:18.000000000 -0700
@@ -26,7 +26,7 @@ unsigned int boot_cpu_physical_apicid = 
 unsigned int boot_cpu_logical_apicid = -1U;
 
 /* Bitmask of physically existing CPUs */
-cpumask_t phys_cpu_present_map;
+physid_mask_t phys_cpu_present_map;
 
 
 /*
@@ -64,7 +64,7 @@ void __init MP_processor_info (struct mp
 	ver = m->mpc_apicver;
 
 	apic_cpus = apicid_to_cpu_present(m->mpc_apicid);
-	cpus_or(phys_cpu_present_map, phys_cpu_present_map, apic_cpus);
+	physids_or(phys_cpu_present_map, phys_cpu_present_map, apic_cpus);
 	/*
 	 * Validate version
 	 */

_
